Adobe Flash Player, Acrobat és Reader sérülékenységek

CH azonosító

CH-3855

Angol cím

Adobe Flash Player, Acrobat and Reader vulnerabilities

Felfedezés dátuma

2010.10.27.

Súlyosság

Kritikus

Érintett rendszerek

Acrobat
Acrobat Reader
Adobe
Flash CS4
Flash Player
Flash Professional CS5
Flex

Érintett verziók

Adobe Flash CS3
Adobe Flash CS4
Adobe Flash Player 9.x, 10.x
Adobe Flash Professional CS5
Adobe Flex 3.x, 4.x
Adobe Acrobat 9.x
Adobe Reader 9.x

Összefoglaló

Az Adobe Flash Player, Acrobat és Reader több sérülékenységét is jelentették, amelyeket a támadók kihasználhatnak érzékeny információk megszerzésére, egyes biztonsági szabályok megkerülésére vagy a felhasználó sérülékeny rendszerekének feltörésére.

Leírás

  1. Egy nem részletezett hiba tetszőleges kód lefuttatására használható ki.
    MEGJEGYZÉS: A sérülékenységet jelenleg is aktívan kihasználják.
  2. Bemeneti adat érvényesítési hiba lehetővé teszi a domain-ek közötti (cross-domain) fájl szabályzat előírásainak megkerülését, bizonyos szerver kódolások használata esetén.
  3. A “Flash10h.ocx” ActiveX vezérlő meghatározatlan hibája kihasználható a memória tartalmának megváltoztatására és tetszőleges kód futtatására.
  4. Egy nem részletezett hiba kihasználható érzékeny információk közzétételére.
    A sérülékenység sikeres kihasználása a Macintosh rendszerekre és a Safari böngészőre korlátozódik.
  5. Egy meghatározatlan hiba kihasználható rendszer összeomlás okozására és tetszőleges kód futtatására.
  6. Több, részletesen nem ismertetett hiba kihasználásával megváltoztatható a memória tartalma és tetszőleges kód futtatható.
  7. A könyvtárak nem biztonságos betöltéséből eredő hiba kihasználható tetszőleges könyvtár betöltésére, ha a megtévesztett felhasználó megnyit egy távoli WebDAV vagy SMB megosztáson elérhető fájlt.
    A sérülékenység sikeres kihasználása tetszőleges kód futtatását teszi lehetővé.

Megoldás

Frissítsen a legújabb verzióra